This directory contains SWIG documentation:

- Engineering Manual
- Internals Manual
- SWIG1.3 Migration Guide

The following documentation describe the internal APIs used by SWIG. These may be useful to module developers.

- File handling functions
- Command line arguments
- Parse tree navigation and manipulation
- Parameter and Parameter list handling functions
- Generic C/C++ Scanner interface
- Wrapper objects.

Copyright (C) 1999-2007 SWIG Development Team.